@extends('layouts.app')

@section('content')
@extends('contabilidad.menu')
<style>
  #total_final2{
    background-color: #d3d3d3;
    font-weight: 700;
  }
  #total_final{
    background-color: #d3d3d3;
  }
</style>
<div id="contenedor_interno" class="container-fluid">
    <div class="row ">
      <div class="col-md-12">
        <nav aria-label="breadcrumb">
          <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ route('contabilidad.dashboard_facturas') }}">Cuenta Corriente</a></li>
            <li class="breadcrumb-item active" aria-current="page">Ver</li>
          </ol>
        </nav>
      </div>
      <hr>
    </div>
</div>
<div id="contenedor-dashboard" class="container-fluid">
  <div class="row ">
    <div class="col-md-12">
      <h2>Cuenta Corriente</h2>
    </div>
  </div>
  <div class="col-md-12">
    <br>
    <table id="example2" class="display" style="width:100%">
      <thead>
        <tr>
          <th scope="col">ID</th>
          <th scope="col">Nombre</th>
          <th scope="col">Total</th>
          <th scope="col">0 - 30 días</th>
          <th scope="col">31 - 60 días</th>
          <th scope="col">61 - 90 días</th>
          <th scope="col">+90 días</th>
        </tr>
      </thead>
      <tbody>      
       
        @foreach ($clientes as $cliente)
          <tr>
            <td>{{$cliente->id}}</td>
            <td><a href="{{route('contabilidad.ver_cuenta_corriente_info',$cliente->id)}}" target="_blank">{{$cliente->nombre}}</a></td>
            <td>
              {{number_format($total_cliente[$cliente->id]??0,2,'.',',')}}
              
            </td>
            <td>
              {{number_format($total_cliente_dias[$cliente->id][30]??0,2,'.',',')}}
              
            </td>
            <td>
              {{number_format($total_cliente_dias[$cliente->id][60]??0,2,'.',',')}}
            </td>
            <td>
              {{number_format($total_cliente_dias[$cliente->id][90]??0,2,'.',',')}}
            </td>
            <td>
              {{number_format($total_cliente_dias[$cliente->id][100]??0,2,'.',',')}}
            </td>
          </tr>
        @endforeach
        @foreach ($clientes_saldo as $cliente)
          <tr>
            <td>{{$cliente->id}}</td>
            <td><a href="{{route('contabilidad.ver_cuenta_corriente_info',$cliente->id)}}" target="_blank">{{$cliente->nombre}}</a></td>
            <td class="text-danger">
              -{{number_format($cliente->saldo_favor??0,2,'.',',')}}
              
            </td>
            <td>
              
              
            </td>
            <td>
              
            </td>
            <td>
              
            </td>
            <td class="text-danger">
              -{{number_format($cliente->saldo_favor??0,2,'.',',')}}
            </td>
          </tr>
        @endforeach
      </tbody>
      <tfoot>
        <tr id="total_final2">
          <td id="total_final">.TOTAL</td>
          <td></td>
          <td id="data1">{{number_format($total_total,2,'.',',')}}</td>
          <td id="data2">{{number_format($total_total30,2,'.',',')}}</td>
          <td id="data3">{{number_format($total_total60,2,'.',',')}}</td>
          <td id="data4">{{number_format($total_total90,2,'.',',')}}</td>
          <td id="data5">{{number_format($total_total100,2,'.',',')}}</td>
        </tr>
      </tfoot>
    </table>
  </div>
</div>
<script>
  jQuery.fn.dataTable.Api.register( 'sum()', function ( ) {
    return this.flatten().reduce( function ( a, b ) {
        if ( typeof a === 'string' ) {
            a = a.replace(/[^\d.-]/g, '') * 1;
        }
        if ( typeof b === 'string' ) {
            b = b.replace(/[^\d.-]/g, '') * 1;
        }
 
        return a + b;
    }, 0 );
} );
$('#example2').dataTable( {
  "paging": false,
    "order":[[ 0, "desc" ]],
              dom: 'Bfrtip',
              buttons: [
                  'excel', 'print'
              ],
  drawCallback: function () {
      var api = this.api();

      let dollarUSLocale = Intl.NumberFormat('en-IN');
      $( "#data1" ).html(
        api.column( 2, {page:'current'} ).data().sum().toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')
      );
      $( "#data2" ).html(
        api.column( 3, {page:'current'} ).data().sum().toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')
      );
      $( "#data3" ).html(
        api.column( 4, {page:'current'} ).data().sum().toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')
      );
      $( "#data4" ).html(
        api.column( 5, {page:'current'} ).data().sum().toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')
      );
      $( "#data5" ).html(
        api.column( 6, {page:'current'} ).data().sum().toFixed(2).replace(/\d(?=(\d{3})+\.)/g, '$&,')
      );
    }
          
} );

  $('.cuentas').each(function(){
    var total30=parseFloat($(this).find('.totals30').text().replace(',', ''));
    var total60=parseFloat($(this).find('.totals60').text().replace(',', ''));
    var total90=parseFloat($(this).find('.totals90').text().replace(',', ''));
    var total100=parseFloat($(this).find('.totals100').text().replace(',', ''));
    if(total30>0){

    }else{
      total30=0;
    }
    if(total60>0){

    }else{
      total60=0;
    }
    if(total90>0){

    }else{
      total90=0;
    }
    if(total100>0){

    }else{
      total100=0;
    }
    var totalf=total30+total60+total100+total90;
    $(this).find('.totals').text(totalf.toFixed(2));
  })
</script>
@endsection
