<?php use Carbon\Carbon; ?>


@extends('layouts.app')
@extends('contabilidad.menu')
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
<script>
  $(document).ready(function () {
    $('#menu_interno').hide();
    $('#button1').hide();
    $('#button2').hide();
    $('.actions').hide();
  });
</script>


@section('content')
<style>
    .archivar_salidas{
        margin-left: 28px;
    position: relative;
    top: -5px;
    }
    .verTotal22{
    text-align: right;
    margin-right: 650px;
    padding: 10px;
    font-size: 18px;
    color: #000;
    font-weight: 700;
  }
</style>
<div id="contenedor-dashboard" class="container-fluid">
  <form action="{{ route('contabilidad.crear_facturas') }}" method="POST">
    @csrf
  <div class="row ">
    <div class="col-md-12">
      <h2>Reporte Pendiente de facturar</h2>
      <p style="color: #000;" >Información: <?php
      
        setlocale(LC_ALL, 'es_ES');
        $fecha = Carbon::now();
        $fecha->format("D-M-Y"); // foprmato
        $fecha_espanol = $fecha->formatLocalized("%A %d %B %Y");//  idioma español

        echo $fecha_espanol;
      
      ?>  </p>
      
      
      <input id="button1" type="submit"  class="botonColorNaranja" value="GENERAR FACTURA">
      <a  id="button2" type="button" href="{{route('contabilidad.nueva_factura')}}" class="botonColor">Nueva Factura</a>
      <br><br>
    </div>

  </div>
  <div class="col-md-12">
    <br>
    <table id="example" class="display" cellspacing="0" style="width:100%">
      <thead>
      <tr>
          <td class="min-tablet">Tipo</td>
          <td class="min-tablet">Fecha</td>
          <td class="all">Cliente</td>
          <td class="min-tablet">Cantidad</td>
          <td class="min-tablet">Valor Total</td>
          <td class="min-tablet">Producto</td>
          <td class="desktop">Cotización</td>
          <td class="min-tablet">Observaciones</td>
          {{--- <td class="all">Acción</td>  ---}}
      </tr>
      </thead>
      <tbody>      
        @foreach ($salidasAlmacen as $op)
          <tr>
            <td>{{$op->id}}</td>
            <td>{{date("d/m/Y h:i:s", strtotime($op->updated_at))}}</td>
            <td>{{$op->cliente->nombre??''}}</td>
            <td>{{$op->cantidad??''}}</td>
            @php
                if($op->id_op > 0){
                  $valor_total = $op->cantidad*$op->op->cotizaciones_p->precio;
                }else{
                  $valor_total = $op->id_cotizacion > 0 ? $op->cantidad*$op->cotizacion->precio : $op->cantidad*$op->producto->precio_venta;
                }
            @endphp
            <td>Q.{{number_format($valor_total, 2, '.', ',')}}</td>

            <td>{{$op->producto->nombre??''}}</td>
            <td>
            @if($op->op)
            <a  href="{{ asset('/cotizaciones/CO_'.$op->op->id_cotizacion_producto.'.pdf') }}" title="Ver cotización" target='_blank'>{{$op->op->id_cotizacion_producto}}<i class="far fa-file-pdf"></i></a> 
            @endif  
            @if($op->id_cotizacion)
            <a  href="{{ asset('/cotizaciones/CO_'.$op->id_cotizacion.'.pdf') }}" title="Ver cotización" target='_blank'>{{$op->id_cotizacion}}<i class="far fa-file-pdf"></i></a> 
            @endif
            </td>
            <td>{{$op->op->cotizaciones_p->comentario_facturacion??''}}{{$op->cotizacion->comentario_facturacion??''}}</td>
            <td class="actions">
              <div class="form-group form-check"><input checked type="checkbox" value="{{$op->id}}" data-total="{{$valor_total}}" name="crear_facturas[]" class="form-check-input"></div>
              <a class="archivar_salidas" data-toggle="modal" title="Archivar" data-idsalida="{{$op->id}}" data-target="#exampleModal"><i class="fas fa-archive"></i></a>
            </td>              


          </tr>
        @endforeach
      </tbody>
    </table>
    <hr>
    <td><p class="verTotal22">TOTAL: <span id='total_cliente'></span></p></td>
    </form>
  </div>
</div>
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Archivar</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="{{ route('contabilidad.archivar_salida') }}" method="POST">
        @csrf
            <input id="id_salida" type="hidden" name="id" value="">
          <div class="form-group">
            <label for="message-text" class="col-form-label">Observación:</label>
            <textarea class="form-control" id="message-text" name="mensaje"></textarea>
          </div>
          <input type="submit" id="btnArchivar" class="btn btn-secondary" value="Archivar">
          </form> 
      </div>
      
    </div>
  </div>
</div>
<script>
  $( function() {
    var token = '{{ csrf_token() }}';
    $('.archivar_salidas').each(function(){
      $(this).click(function(){
        var id_salida=$(this).attr('data-idsalida');
        $('#id_salida').val(id_salida);  
      })
    })

    //$('.form-check-input').change(function () {
    //var total=0;
    //$('.form-check-input').each(function(){
    //  if ($(this).is(':checked')) {
    //    var subtotal=parseFloat($(this).attr('data-total'));
    //    total=total+subtotal;
    //  }
    //  
    //})
    //$('#total_cliente').text('Q '+total.toFixed(2));


    $(document).ready(function () {
      
      var total=0;
      $('.form-check-input').each(function(){
        if ($(this).is(':checked')) {
          var subtotal=parseFloat($(this).attr('data-total'));
          total=total+subtotal;
        }

      })

      const number = total;
      let data2 = new Intl.NumberFormat().format(number);

      let data = new Intl.NumberFormat('en-US', { style: 'currency', currency: 'GTQ' }).format(number);
      console.log(data);

      Number.prototype.format = function(n, x) {
          var re = '(\\d)(?=(\\d{' + (x || 3) + '})+' + (n > 0 ? '\\.' : '$') + ')';
          return this.toFixed(Math.max(0, ~~n)).replace(new RegExp(re, 'g'), '$1,');
      };

      //$('#total_cliente').text('Q '+usFormat);
      $('#total_cliente').text('Q '+total.format(2));
 });

});
</script>
@endsection
