@extends('layouts.app')

@section('content')
@extends('inventario.menu')
<style>
  .form-check{
    display: inline-block;
    top: -15px;
    left: 13px;
  }
</style>
<script>
  $(document).ready(function() {
      $("#btnsend").on("click", function() {
          var boton = $(this);
          boton.hide();
  
          // Después de 3 segundos, mostrar el botón nuevamente
          setTimeout(function() {
              boton.show();
          }, 2000);
      });
  });
  </script>
<div id="contenedor-dashboard" class="container-fluid">
  <div class="row ">
    <div class="col-md-12">
      <h2>Despachos</h2>
      <a type="button" id="btnsend" onclick="facturar_envio()" class="botonColorNaranja">Facturar</a>
    </div>
  </div>
  <div class="col-md-12">
    <br>
    <br>
    <table id="example" class="display" style="width:100%">
      <thead>
        <tr>
          <td>Envío</td>
          <td>Cliente</td>
          <td>Cantidad</td>
          <td>Producto</td>
          <td>Ejecutivo</td>
          <td>Observaciones</td>
          <td>Acción</td>
        </tr>
      </thead>
      <tbody>      
        @foreach ($salidas as $s)
          <tr>
            <td>{{$s->id}}</td>  
            <td>{{$s->cliente->nombre}}</td> 
            <td>{{$s->cantidad}} {{$s->producto->medida->nombre}}</td> 
            <td>{{$s->producto->nombre}}</td> 
            <td>{{$s->cliente->info_ejecutivo->name??''}}</td> 
            <td>{{$s->observaciones}}</td>  
            <td>
            <a href="{{route('inventario.generar_envio',$s->id)}}" title="Ver envio"><i class="far fa-file-pdf"></i></a>
            <a onclick="modalReverse({{$s->id}})" title="Revertir"><i class="fa fa-undo text-danger ml-2"></i></a>
            <div class="form-group form-check"><input type="checkbox" data-id="{{$s->id}}" class="form-check-input" id="exampleCheck1"></div>
            </td><!-- Despacho -->
          </tr>
         
        @endforeach
      </tbody>
  </table>
  </div>
</div>

<!-- Modal -->
<div class="modal fade" id="entregaAlmacen" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">ENTRADAS DE ALMACEN</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <h3>OP<span id="idOPText"></span></h3>
        <div class="form-group">
            <label for="recipient-name" class="col-form-label">Cantidad a entregar:</label>
            <input type="number" class="form-control" id="cantidad" name="cantidad">
            <input type="hidden" class="form-control" id="id_inventario" name="id_inventario">
            <input type="hidden" class="form-control" id="id_op" name="id_op">
            <input type="hidden" class="form-control" id="id_producto" name="id_producto">
            <input type="hidden" class="form-control" id="inventario" name="inventario">
            <input type="hidden" class="form-control" id="produccion" name="produccion">
        </div>
        <div class="form-group">
            <label for="message-text" class="col-form-label">Observaciones:</label>
            <textarea id="observaciones" class="form-control" id="message-text"></textarea>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" id="btnEntraParcial" class="btn btn-primary">Entrega Parcial</button>
        <button type="button" id="btnInventario" class="btn btn-primary">Entrada a Stock</button>
        <button type="button" id="btnTerminarOrden" class="btn btn-primary">Terminar Orden</button>
      </div>
    </div>
  </div>
</div>
<script>
   var token = '{{ csrf_token() }}';
  function facturar_envio(){
    document.querySelectorAll('.form-check-input').forEach(element => {
      var padre=element.parentElement.parentElement.parentElement;
      var id_salida=$(element).attr('data-id');
      if(element.checked ){
        jQuery( document ).ready(function() {
          $.ajax({
            type:'POST',
            url:'{{ route('inventario.salida_almacen_facturacion') }}',
            headers: {'X-CSRF-TOKEN': token},
            data:{
              id_salida:id_salida,
            },
            success:function(data){
              if(data){
                padre.remove();
                Swal.fire({
                    position: 'top-end',
                    title: "Solicitud para factura enviada",
                    showConfirmButton: false,
                    timer: 1500
                });
              }
            }
          });
        });
      }
    });
  }
$( function() {
 
  
  $('.entragasParciales').each(function(){
    $(this).click(function(){
      var idInventario=$(this).attr('data-id');
      var idOP=$(this).attr('data-id_op');
      var cantidad=$(this).attr('data-cantidad');
      var inventario=$(this).attr('data-inventario');
      var id_producto=$(this).attr('data-id_producto');
      var produccion=$(this).attr('data-produccion');
      if(cantidad<=0){
        $('#btnInventario').attr('disabled','disabled');
        $('#btnEntraParcial').attr('disabled','disabled');
      }else{
        $('#btnInventario').removeAttr('disabled');
        $('#btnEntraParcial').removeAttr('disabled');
      }
      
      $('#idOPText').text(idOP);
      $('#id_inventario').val(idInventario);
      $('#id_op').val(idOP);
      $('#cantidad').val(cantidad);
      $('#id_producto').val(id_producto);
      $('#inventario').val(inventario);
      $('#produccion').val(produccion);
    })
  })
  $('#btnEntraParcial').click(function(){
    $(this).attr('disabled','disabled');
    $('#btnInventario').attr('disabled','disabled');
    $('#btnTerminarOrden').attr('disabled','disabled');
    $.ajax({
      type:'POST',
      url:'{{ route('inventario.salida_almacen_ajax') }}',
      headers: {'X-CSRF-TOKEN': token},
      data:{
          id_inventario:$('#id_inventario').val(),
          cantidad:$('#cantidad').val(),
          observaciones:$('#observaciones').val(),
          id_op:$('#id_op').val(),
          id_producto:$('#id_producto').val(),
          inventario:$('#inventario').val(),
          produccion:$('#produccion').val(),
      },
      success:function(data){
        $('#entregaAlmacen').modal('hide');
        location.reload(true);
      }
    });
  })
  $('#btnInventario').click(function(){
    $(this).attr('disabled','disabled');
    $('#btnEntraParcial').attr('disabled','disabled');
    $('#btnTerminarOrden').attr('disabled','disabled');
    $.ajax({
      type:'POST',
      url:'{{ route('inventario.salida_almacen_inventario_ajax') }}',
      headers: {'X-CSRF-TOKEN': token},
      data:{
          id_inventario:$('#id_inventario').val(),
          cantidad:$('#cantidad').val(),
          observaciones:$('#observaciones').val(),
          id_op:$('#id_op').val(),
          id_producto:$('#id_producto').val(),
          inventario:$('#inventario').val(),
          produccion:$('#produccion').val(),
      },
      success:function(data){
        $('#entregaAlmacen').modal('hide');
        location.reload(true);
      }
    });
  })
  $('#btnTerminarOrden').click(function(){
    $('#btnInventario').attr('disabled','disabled');
    $('#btnEntraParcial').attr('disabled','disabled');
    $('#btnTerminarOrden').attr('disabled','disabled');
    $.ajax({
      type:'POST',
      url:'{{ route('inventario.almacen_terminar_ajax') }}',
      headers: {'X-CSRF-TOKEN': token},
      data:{
          cantidad:$('#cantidad').val(),
          observaciones:$('#observaciones').val(),
          id_op:$('#id_op').val(),
          id_producto:$('#id_producto').val(),
          inventario:$('#inventario').val(),
          produccion:$('#produccion').val(),
      },
      success:function(data){
        $('#entregaAlmacen').modal('hide');
        location.reload(true);
      }
    });
  })
//fin Q    

});
</script>
<script>
  var modalReverse = (envioId) => {
    //Alerta de confirmación de anulacion de sweetalert, al confirmar se ejecuta la función reverseEnvio
    Swal.fire({
      title: '¿Estás seguro?',
      text: "¡No podrás deshacer esto!",
      showCancelButton: true,
      confirmButtonColor: '#3085d6',
      cancelButtonColor: '#d33',
      confirmButtonText: '¡Sí, revertir!',
      cancelButtonText: 'Cancelar'
    }).then((result) => {
      if (result.isConfirmed) {
        reverseEnvio(envioId);
      }
    })
  }

  var reverseEnvio = (envioId) => {
    //Petición ajax para revertir el envío
    $.ajax({
      type: 'POST',
      url: '{{ route('inventario.reverse_envio') }}',
      headers: {'X-CSRF-TOKEN': token},
      data: {
        envio_id: envioId
      },
      success: function(data){
        if(data){
          Swal.fire({
            position: 'top-end',
            title: "Envío revertido",
            showConfirmButton: false,
            timer: 1500
          });
          location.reload(true);
        }
      },
      error: function(data){
        Swal.fire({
          position: 'top-end',
          title: "Error al revertir el envío",
          showConfirmButton: false,
          timer: 1500
        });
      }
    });
  }
</script>
@endsection