@extends('layouts.app')

@section('content')
@extends('ventas.menu')
<form action="{{ route('ventas.actualizar_cotizacion',$cotizacion->id) }}" method="POST">
  @csrf
  <input type="hidden" name='id_cotizacion_padre' value='{{$cotizacion->cotizacion->id}}'>
<div id="contenedor_interno" class="container-fluid">
    <div class="row ">
      <div class="col-md-12">
        <nav aria-label="breadcrumb">
          <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{{ route('ventas.dashboard') }}">Factura</a></li>
            <li class="breadcrumb-item active" aria-current="page">Nueva</li>
          </ol>
        </nav>
        
          <input type="submit" href="{{route('ventas.cliente')}}" class="botonColor" value="Guardar" />
      </div>
      <hr>
    </div>
</div>

<div id="contenedor_contenido" class="container-fluid px-lg-5">
  <div class="row">
    <div class="col-md-12">
      <h2>Factura</h2>
    </div>
    @if($cotizacion->estatus==99)
    <div class="alert alert-danger col-md-12" role="alert">
      {{$cotizacion->comentario_ing}}
    </div>
    @endif
    <div class="col-md-12">
        <div class="row">
          <div class="col-md-6">
            <div class="form-group row">
              <label for="" class="col-sm-4 col-form-label">Cliente</label>
              <div class="col-sm-8">
                  <p>{{$cotizacion->cotizacion->cliente->nombre}}</p>
                  <input type="hidden" value="{{$cotizacion->cotizacion->id_cliente}}">
              </div>
            </div>
            <div class="form-group row">
              <label for="" class="col-sm-4 col-form-label">Nit</label>
              <div class="col-sm-8">
                <input type="text" readonly class="form-control-plaintext" id="nit" value="{{ $cotizacion->cotizacion->cliente->nit }}" placeholder="">
              </div>
            </div>
            <div class="form-group row">
              <label for="" class="col-sm-4 col-form-label">Dirección</label>
              <div class="col-sm-8">
                <input type="text" readonly class="form-control-plaintext" id="direccion" value="{{ $cotizacion->cotizacion->cliente->direccion }}" placeholder="">
              </div>
            </div>
          </div>


          <div class="col-md-6">
            <div class="form-group row">
              <label for="" class="col-sm-4 col-form-label">Moneda</label>
              <div class="col-sm-8">
                <select class="form-control" name="id_moneda" id="exampleFormControlSelect1">
                  <option {{ $cotizacion->cotizacion->id_moneda == 1 ? "selected" : "" }} value="1">Q</option>
                  <option {{ $cotizacion->cotizacion->id_moneda == 2 ? "selected" : "" }} value="2">$</option>
                </select>
              </div>
            </div>
            <div class="form-group row">
              <label for="" class="col-sm-4 col-form-label">Condiciones de pago</label>
              <div class="col-sm-8">
                <select class="form-control" name="condiciones_pago" id="condiciones_pago">
                  <option>Días de crédito</option>
                  <option {{ $cotizacion->cotizacion->condiciones_pago == 1 ? "selected" : "" }} value="1">Contado</option>
                  <option {{ $cotizacion->cotizacion->condiciones_pago == 2 ? "selected" : "" }} value="2">15 días</option>
                  <option {{ $cotizacion->cotizacion->condiciones_pago == 3 ? "selected" : "" }} value="3">30 días</option>
                  <option {{ $cotizacion->cotizacion->condiciones_pago == 4 ? "selected" : "" }} value="4">45 días</option>
                  <option {{ $cotizacion->cotizacion->condiciones_pago == 5 ? "selected" : "" }} value="5">60 días</option>
                </select>
              </div>
            </div>
            <div class="form-group row">
              <label for="" class="col-sm-4 col-form-label">Régimen fiscal
              </label>
              <div class="col-sm-8">
                <select class="form-control" name="regimen_fiscal" id="exampleFormControlSelect1">
                  <option {{ $cotizacion->cotizacion->regimen_fiscal == 1 ? "selected" : "" }} value="1">Ninguno</option>
                  <option {{ $cotizacion->cotizacion->regimen_fiscal == 2 ? "selected" : "" }} value="2">Decreto régimen 2989</option>
                </select>
              </div>
            </div>
          </div>
        </div>
        <!-- Productos -->
        <div class="row">
          <div class="col-md-12">
            <ul class="nav nav-tabs" id="myTab">
              <li class="nav-item">
                  <a href="#home" class="nav-link" data-toggle="tab">Lista del pedido</a>
              </li>
              <li class="nav-item">
                  <a href="#profile" class="nav-link" data-toggle="tab">Otra información</a>
              </li>
            </ul>
            <div class="tab-content">
              <div class="tab-pane fade" id="home">
                <table class="table">
                  <thead>
                    <tr>
                      <th scope="col">Descripción de Producto</th>
                      <th scope="col">Cantidad</th>
                      <th scope="col">Unidad de medida</th>
                      <th scope="col">Precio unitario</th>
                      <th scope="col">Impuestos</th>
                      <th scope="col">Total</th>
                    </tr>
                  </thead>
                  <tbody id="contenedorProductos">
                    <tr class="producto"> 
                      <td>
                        <select class="form-control" name="id_p" onchange="infoProducto(this)" id="exampleFormControlSelect1">
                          <option>Seleccione un producto</option>
                          @foreach ($productos as $producto)
                            <option {{ $producto['id'] == $cotizacion->id_producto ? "selected" : "" }} value="{{$producto['id']}}">{{$producto['nombre']}}</option>
                          @endforeach
                        </select>
                      </td>
                      <td><input type="number" onchange="calcularSubTotal(this)" name="cantidad_p" value="{{$cotizacion->cantidad}}" class="cantidad"></td>
                      <td><input class="unidad_medida" value="{{$cotizacion->producto->medida->nombre??''}}"  type="text"><input class="idMedida" value="{{$cotizacion->producto->medida->id??'0'}}" name="id_medida"  type="hidden"></td>
                      <td><input class="precio_sugerido" type="text" value="{{$cotizacion->precio}}" name="precio_p" onchange="calcularSubTotal(this)"></td>
                      <td><input type="text" class="impuestos" value="{{number_format((($cotizacion->precio*$cotizacion->cantidad)*.12),2,'.',',')}}"></td>
                      <td><input type="text" class="subTotal" value="{{number_format((($cotizacion->precio*$cotizacion->cantidad)*1.12),2,'.',',')}}"></td>
                    </tr>
                  </tbody>
                </table>
                <hr>
                <div class="total"><p>Impuestos: Q <span id="impuestos">{{number_format((($cotizacion->precio*$cotizacion->cantidad)*.12),2,'.',',')}} </span></p>
                  <p class="mostrarTotal">Total: Q <span id="totalTotal">{{number_format((($cotizacion->precio*$cotizacion->cantidad)*1.12),2,'.',',')}}</span></p>
                </div>
                
              </div>
              <div class="tab-pane fade" id="profile">
                <div class="row">
                  <div class="col-md-12">
                    <br>
                    <h4>Información de envio</h4>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group row">
                      <label for="" class="col-sm-4 col-form-label">Almacén</label>
                      <div class="col-sm-8">
                        <input type="text" readonly class="form-control-plaintext" value="" placeholder="">
                      </div>
                    </div>
                    <div class="form-group row">
                      <label for="" class="col-sm-4 col-form-label">Política de entrega	</label>
                      <div class="col-sm-8">
                        <input type="text" readonly class="form-control-plaintext" value="" placeholder="">
                      </div>
                    </div>
                    <div class="form-group row">
                      <label for="" class="col-sm-4 col-form-label">Fecha de pedido	</label>
                      <div class="col-sm-8">
                        <input type="text" readonly class="form-control-plaintext" value="" placeholder="">
                      </div>
                    </div>
                  </div>
                  <div class="col-md-6">
                    <div class="form-group row">
                      <label for="" class="col-sm-4 col-form-label">Usuario</label>
                      <div class="col-sm-8">
                        <input type="text" readonly class="form-control-plaintext" value="" placeholder="">
                      </div>
                    </div>
                    <div class="form-group row">
                      <label for="" class="col-sm-4 col-form-label">Equipo de ventas</label>
                      <div class="col-sm-8">
                        <input type="text" readonly class="form-control-plaintext" value="" placeholder="">
                      </div>
                    </div>
                    <div class="form-group row">
                      <label for="" class="col-sm-4 col-form-label">Referencia cliente</label>
                      <div class="col-sm-8">
                        <input type="text" readonly class="form-control-plaintext" value="" placeholder="">
                      </div>
                    </div>
                  </div>
                </div>
              </div>

            </div>
        </div>
      

    </div>
  </div>
</div>
</form>
<script>
  function nuevaFila(){
    var row = document.getElementsByClassName("producto"); // find row to copy
    var table = document.getElementById("contenedorProductos"); // find table to append to
    var clone = row[0].cloneNode(true); // copy children too
    table.appendChild(clone); // add new row to end of table
    clone.getElementsByClassName('precio_sugerido')[0].value='';
    clone.getElementsByClassName('cantidad')[0].value='';
    clone.getElementsByClassName('unidad_medida')[0].value='';
    clone.getElementsByClassName('idMedida')[0].value=0;
    clone.getElementsByClassName('impuestos')[0].value='';
    clone.getElementsByClassName('subTotal')[0].value='';
  }
  function infoCliente(elemento){
    jQuery( document ).ready(function() {
      var token = '{{ csrf_token() }}';
      $.ajax({
        type:'POST',
        url:'{{ route('ventas.buscar_cliente') }}',
        headers: {'X-CSRF-TOKEN': token},
        data:{
          id_cliente:elemento.value,
        },
        success:function(data){
          $('#nit').val(data.nit);
          $('#direccion').val(data.direccion);
          $('#direccion').val(data.direccion);
          console.log('hola',data.condiciones_pago);
          $("#condiciones_pago").val(data.condiciones_pago).change();
        }
      });
    });
  }
  function calcularSubTotal(elemento){
    var padre=elemento.parentElement.parentElement;
    var precio=padre.getElementsByClassName('precio_sugerido')[0].value;
    var cantidad=padre.getElementsByClassName('cantidad')[0].value;
    var subTotal=precio*cantidad;
    var impuestos=subTotal*0.12;
    var totalImpuesto=0;
    var totalTotal=0;
    padre.getElementsByClassName('impuestos')[0].value='Q '+impuestos.toFixed( 2 ).replace(/\d(?=(\d{3})+\.)/g, '$&,');
    var subTotal=impuestos+subTotal;
    padre.getElementsByClassName('subTotal')[0].value='Q '+subTotal.toFixed( 2 ).replace(/\d(?=(\d{3})+\.)/g, '$&,');
    //Sumar impuestos
    console.log(document.querySelectorAll('impuestos'));
    document.querySelectorAll('.impuestos').forEach(element => {
      var purgar_impuesto=element.value.replace(',', '').replace('Q', '');
      totalImpuesto=parseFloat(totalImpuesto)+parseFloat(purgar_impuesto);
    });
    document.getElementById('impuestos').innerHTML=totalImpuesto.toFixed( 2 ).replace(/\d(?=(\d{3})+\.)/g, '$&,');

    document.querySelectorAll('.subTotal').forEach(element => {
      
      var purgar_total=element.value.replace(',', '').replace('Q', '');
      console.log(purgar_total);
      totalTotal=parseFloat(totalTotal)+parseFloat(purgar_total);
    });
    document.getElementById('totalTotal').innerHTML=totalTotal.toFixed( 2 ).replace(/\d(?=(\d{3})+\.)/g, '$&,');
  }
  function infoProducto(elemento){
    jQuery( document ).ready(function() {
      var token = '{{ csrf_token() }}';
      $.ajax({
        type:'POST',
        url:'{{ route('ventas.buscar_producto') }}',
        headers: {'X-CSRF-TOKEN': token},
        data:{
          id_producto:elemento.value,
        },
        success:function(data){
          var padre=elemento.parentElement.parentElement;
          padre.getElementsByClassName('precio_sugerido')[0].value='';
          padre.getElementsByClassName('cantidad')[0].value='';
          padre.getElementsByClassName('unidad_medida')[0].value='';
          padre.getElementsByClassName('idMedida')[0].value=0;
          padre.getElementsByClassName('impuestos')[0].value='';
          padre.getElementsByClassName('subTotal')[0].value='';
          $(padre).find('.unidad_medida').val(data.medida.nombre);
          $(padre).find('.idMedida').val(data.medida.id);
          $(padre).find('.precio_sugerido').val(data.precio_venta);
        }
      });
    });
  }

</script>
@endsection
